VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Namespaces | Typedefs | Enumerations | Functions
vstpresetfile.h File Reference
`#include "pluginterfaces/vst/ivstcomponent.h"`
`#include "pluginterfaces/vst/ivsteditcontroller.h"`
`#include "pluginterfaces/vst/ivstunits.h"`
`#include "pluginterfaces/base/ibstream.h"`
`#include "base/source/fbuffer.h"`
`#include <cstdio>`
`#include <vector>`

## Classes
class | PresetFile
| Handler for a VST 3 Preset File. More...
struct | PresetFile::Entry
| Internal structure used for chunk handling. More...
class | FileStream
| Stream implementation for a file using stdio. More...
class | ReadOnlyBStream
| Stream representing a Read-Only subsection of its source stream. More...
class | BufferStream
| Stream implementation for a memory buffer. More...

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst

## Typedefs
using | ChunkID = char[4]

## Enumerations
enum | ChunkType { kHeader, kComponentState, kControllerState, kProgramData, kMetaInfo, kChunkList, kNumPresetChunks }

## Functions
const ChunkID & | getChunkID (ChunkType type)
bool | isEqualID (const ChunkID id1, const ChunkID id2)

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.